import "./Login.css";
import user_icon from "./assets/person.png";
import React, { useContext, useEffect } from "react";
import { useNavigate } from "react-router-dom";
import Cookies from "js-cookie";
import { UserContext } from "../../util/UserContext";
import axios from "axios";

function Login() {
  const { setUser } = useContext(UserContext); // Access setUser from context
  const navigate = useNavigate();

  useEffect(() => {
    // Check if user is authenticated and get their permission from cookies
    const userAuthenticated = Cookies.get("userAuthenticated");
    const userPermission = Cookies.get("userPermission");

    console.log("Login.js refreshed userAuthenticated: ", userAuthenticated);
    console.log("Login.js refreshed userPermission: ", userPermission);

    if (userAuthenticated === "true") {
      setUser({ permission: userPermission });
      navigate("/"); // Redirect to home if already logged in
    }
  }, [navigate, setUser]);

  return (
    <div className="container">
      <div className="header">
        <div className="text">VT Corps Directory Log In Page</div>
        <div className="underline"></div>
      </div>
      <div className="inputs">
        <div className="home-auth">
          <a
            className="login-button"
            href={`${process.env.REACT_APP_API_URL}/login`}
          >
            Login with CAS
          </a>
        </div>
      </div>
      {/* <div className="forgot-password">Forgot Password <span> Click here</span></div> */}
      <div className="submitTerms">
        I agree to terms of use
        <img src={user_icon} alt="" />
      </div>
    </div>
  );
}

export default Login;
